/* ==================================== JUCER_BINARY_RESOURCE ====================================

   This is an auto-generated file: Any edits you make may be overwritten!

*/

namespace BinaryData
{

//================== sconscript ==================
static const unsigned char temp_binary_data_0[] =
"Import( 'env buildLibrary' )\r\n"
"\r\n"
"buildLibrary( env, Split( \"\"\"\r\n"
"    json_reader.cpp \r\n"
"    json_value.cpp \r\n"
"    json_writer.cpp\r\n"
"     \"\"\" ),\r\n"
"    'json' )\r\n";

const char* sconscript = (const char*) temp_binary_data_0;

//================== README.txt ==================
static const unsigned char temp_binary_data_1[] =
"* Introduction:\r\n"
"  =============\r\n"
"\r\n"
"JSON (JavaScript Object Notation) is a lightweight data-interchange format. \r\n"
"It can represent integer, real number, string, an ordered sequence of \r\n"
"value, and a collection of name/value pairs.\r\n"
"\r\n"
"JsonCpp is a simple API to manipulate JSON value, handle serialization \r\n"
"and unserialization to string.\r\n"
"\r\n"
"It can also preserve existing comment in unserialization/serialization steps,\r\n"
"making it a convenient format to store user input files.\r\n"
"\r\n"
"Unserialization parsing is user friendly and provides precise error reports.\r\n"
"\r\n"
"\r\n"
"* Building/Testing:\r\n"
"  =================\r\n"
"\r\n"
"JsonCpp uses Scons (http://www.scons.org) as a build system. Scons requires\r\n"
"python to be installed (http://www.python.org).\r\n"
"\r\n"
"You download scons-local distribution from the following url:\r\n"
"http://sourceforge.net/project/showfiles.php?group_id=30337&package_id=67375\r\n"
"\r\n"
"Unzip it in the directory where you found this README file. scons.py Should be \r\n"
"at the same level as README.\r\n"
"\r\n"
"python scons.py platform=PLTFRM [TARGET]\r\n"
"where PLTFRM may be one of:\r\n"
"\tsuncc Sun C++ (Solaris)\r\n"
"\tvacpp Visual Age C++ (AIX)\r\n"
"\tmingw \r\n"
"\tmsvc6 Microsoft Visual Studio 6 service pack 5-6\r\n"
"\tmsvc70 Microsoft Visual Studio 2002\r\n"
"\tmsvc71 Microsoft Visual Studio 2003\r\n"
"\tmsvc80 Microsoft Visual Studio 2005\r\n"
"\tlinux-gcc Gnu C++ (linux, also reported to work for Mac OS X)\r\n"
"\t\r\n"
"adding platform is fairly simple. You need to change the Sconstruct file \r\n"
"to do so.\r\n"
"\t\r\n"
"and TARGET may be:\r\n"
"\tcheck: build library and run unit tests.\r\n"
"\r\n"
"    \r\n"
"* Running the test manually:\r\n"
"  ==========================\r\n"
"\r\n"
"cd test\r\n"
"# This will run the Reader/Writer tests\r\n"
"python runjsontests.py \"path to jsontest.exe\"\r\n"
"\r\n"
"# This will run the Reader/Writer tests, using JSONChecker test suite\r\n"
"# (http://www.json.org/JSON_checker/).\r\n"
"# Notes: not all tests pass: JsonCpp is too lenient (for example,\r\n"
"# it allows an integer to start with '0'). The goal is to improve\r\n"
"# strict mode parsing to get all tests to pass.\r\n"
"python runjsontests.py --with-json-checker \"path to jsontest.exe\"\r\n"
"\r\n"
"# This will run the unit tests (mostly Value)\r\n"
"python rununittests.py \"path to test_lib_json.exe\"\r\n"
"\r\n"
"You can run the tests using valgrind:\r\n"
"python rununittests.py --valgrind \"path to test_lib_json.exe\"\r\n"
"\r\n"
"\r\n"
"* Building the documentation:\r\n"
"  ===========================\r\n"
"\r\n"
"Run the python script doxybuild.py from the top directory:\r\n"
"\r\n"
"python doxybuild.py --open --with-dot\r\n"
"\r\n"
"See doxybuild.py --help for options. \r\n"
"\r\n"
"\r\n"
"* Adding a reader/writer test:\r\n"
"  ============================\r\n"
"\r\n"
"To add a test, you need to create two files in test/data:\r\n"
"- a TESTNAME.json file, that contains the input document in JSON format.\r\n"
"- a TESTNAME.expected file, that contains a flatened representation of \r\n"
"  the input document.\r\n"
"  \r\n"
"TESTNAME.expected file format:\r\n"
"- each line represents a JSON element of the element tree represented \r\n"
"  by the input document.\r\n"
"- each line has two parts: the path to access the element separated from\r\n"
"  the element value by '='. Array and object values are always empty \r\n"
"  (e.g. represented by either [] or {}).\r\n"
"- element path: '.' represented the root element, and is used to separate \r\n"
"  object members. [N] is used to specify the value of an array element\r\n"
"  at index N.\r\n"
"See test_complex_01.json and test_complex_01.expected to better understand\r\n"
"element path.\r\n"
"\r\n"
"\r\n"
"* Understanding reader/writer test output:\r\n"
"  ========================================\r\n"
"\r\n"
"When a test is run, output files are generated aside the input test files. \r\n"
"Below is a short description of the content of each file:\r\n"
"\r\n"
"- test_complex_01.json: input JSON document\r\n"
"- test_complex_01.expected: flattened JSON element tree used to check if \r\n"
"    parsing was corrected.\r\n"
"\r\n"
"- test_complex_01.actual: flattened JSON element tree produced by \r\n"
"    jsontest.exe from reading test_complex_01.json\r\n"
"- test_complex_01.rewrite: JSON document written by jsontest.exe using the\r\n"
"    Json::Value parsed from test_complex_01.json and serialized using\r\n"
"    Json::StyledWritter.\r\n"
"- test_complex_01.actual-rewrite: flattened JSON element tree produced by \r\n"
"    jsontest.exe from reading test_complex_01.rewrite.\r\n"
"test_complex_01.process-output: jsontest.exe output, typically useful to\r\n"
"    understand parsing error.\r\n";

const char* README_txt = (const char*) temp_binary_data_1;

//================== version ==================
static const unsigned char temp_binary_data_2[] =
"0.5.0";

const char* version = (const char*) temp_binary_data_2;

//================== bespoke_icon.png ==================
static const unsigned char temp_binary_data_3[] =
{ 137,80,78,71,13,10,26,10,0,0,0,13,73,72,68,82,0,0,2,0,0,0,2,0,8,6,0,0,0,244,120,212,250,0,0,0,1,115,82,71,66,0,174,206,28,233,0,0,0,4,103,65,77,65,0,0,177,143,11,252,97,5,0,0,0,9,112,72,89,115,0,0,14,195,0,0,14,195,1,199,111,168,100,0,0,48,232,73,68,
65,84,120,94,237,221,9,120,85,213,185,255,241,55,100,34,3,73,8,16,230,121,18,21,112,66,112,66,161,106,197,217,106,111,107,7,173,183,87,212,123,165,131,45,182,213,219,107,189,173,117,160,246,182,183,212,86,252,59,214,169,189,84,113,68,171,130,130,86,112,
22,65,69,70,153,167,64,18,66,66,230,255,126,79,94,90,28,72,206,57,57,195,94,123,127,63,125,214,115,214,218,137,57,235,156,71,187,126,123,237,181,215,206,104,105,105,17,0,0,16,46,157,236,21,0,0,132,8,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,136,0,0,0,64,
8,17,0,0,0,8,33,2,0,0,0,33,68,0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,136,0,0,0,64,8,17,0,0,0,8,33,2,0,0,0,33,68,0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,136,0,0,0,64,8,17,0,0,0,8,33,2,0,0,0,33,68,
0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,136,0,0,0,64,8,17,0,0,0,8,33,2,0,0,0,33,68,0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,40,163,165,165,197,170,169,55,121,198,172,44,239,229,40,175,76,240,202,88,
175,28,228,149,94,94,233,231,21,253,25,0,0,46,107,244,202,6,175,108,241,202,135,94,121,215,43,139,188,242,198,188,233,83,245,103,105,147,242,0,224,13,250,157,189,151,51,189,242,117,175,156,236,149,66,175,0,0,16,38,213,94,121,222,43,15,120,229,73,47,12,
236,213,131,169,148,178,0,224,13,252,122,102,255,3,175,124,203,43,221,245,24,0,0,144,29,94,185,199,43,183,122,65,64,103,10,82,34,233,1,192,27,248,75,188,23,29,248,127,232,21,61,251,7,0,0,159,165,179,0,191,241,202,205,94,16,168,136,28,73,162,164,6,0,111,
240,215,169,254,63,120,69,175,233,3,0,128,246,233,154,129,43,188,16,240,100,107,51,57,146,18,0,108,113,223,239,188,114,121,228,0,0,0,136,213,31,189,50,45,89,139,5,19,30,0,236,90,255,92,175,28,22,57,0,0,0,226,245,142,87,166,36,99,109,64,66,3,128,55,248,
235,109,124,207,121,133,41,127,0,0,18,67,47,9,156,226,133,0,189,141,48,97,18,22,0,108,240,159,239,21,157,1,0,0,0,137,163,51,0,147,18,25,2,18,18,0,108,218,255,117,175,112,230,15,0,64,114,232,76,192,184,68,93,14,232,240,86,192,182,224,79,175,249,51,248,
3,0,144,60,58,206,206,245,198,221,132,108,160,151,136,103,1,232,106,127,22,252,1,0,144,124,58,222,206,104,173,118,76,135,46,1,120,41,68,239,243,127,162,181,5,0,0,82,228,188,121,211,167,206,177,122,92,226,14,0,222,224,175,59,252,189,231,21,166,254,1,0,
72,45,93,15,48,218,11,1,113,239,24,216,145,75,0,186,189,47,131,63,0,0,169,167,227,175,142,195,113,139,107,6,192,86,253,175,241,10,123,251,3,0,144,30,250,236,128,193,241,222,21,16,239,12,128,166,14,6,127,0,0,210,71,199,225,239,182,86,99,23,243,12,128,
119,246,175,111,184,222,43,60,210,23,0,128,244,210,71,9,247,159,55,125,170,206,6,196,36,158,25,0,93,249,207,224,15,0,64,250,233,120,172,227,114,204,226,153,1,120,212,123,57,183,181,149,60,45,205,205,82,95,185,43,82,26,27,26,236,40,0,0,254,148,149,157,
45,57,197,93,35,37,163,83,34,182,217,137,218,156,121,211,167,158,103,245,168,197,20,0,188,193,95,119,253,219,229,149,132,236,66,244,121,154,27,27,165,118,203,70,169,175,173,177,35,0,0,184,37,39,47,95,242,122,245,149,78,89,58,108,38,93,181,87,186,122,
33,32,166,199,6,199,26,81,142,242,74,210,6,255,186,93,229,82,185,102,5,131,63,0,192,105,58,142,233,120,166,227,90,10,232,184,172,227,115,76,98,13,0,19,236,53,161,116,22,162,122,221,106,169,217,177,205,142,0,0,224,62,29,215,116,124,139,231,150,251,24,
197,60,62,199,26,0,198,218,107,194,232,151,82,181,242,3,105,168,171,179,35,0,0,4,135,142,111,58,206,37,57,4,196,60,62,199,186,6,224,85,239,37,161,179,0,154,140,210,57,248,107,58,171,245,202,222,93,229,82,87,85,33,245,187,171,164,185,161,65,234,171,171,
236,55,90,229,20,22,73,39,93,224,209,165,72,114,139,74,164,115,215,110,146,215,189,76,242,189,2,0,64,123,50,51,51,165,104,200,8,107,37,220,162,121,211,167,30,99,245,168,196,26,0,214,120,47,131,90,91,29,167,215,70,82,61,237,223,88,183,87,42,215,174,146,
170,245,107,164,122,227,122,105,170,239,88,248,200,204,201,149,194,190,253,165,168,255,96,41,30,52,84,178,114,217,31,9,0,240,249,242,74,187,75,231,110,61,172,149,80,107,189,0,48,216,234,81,137,53,0,232,253,120,9,89,210,168,171,253,117,129,68,170,84,173,
95,43,229,31,188,39,149,235,86,235,117,7,59,154,96,25,25,82,60,96,136,116,27,53,218,11,4,9,203,73,0,128,0,41,30,60,60,25,119,7,52,122,1,32,219,234,81,137,53,0,36,108,228,220,179,225,227,164,175,246,215,189,4,118,174,248,64,182,191,247,86,100,138,63,149,
244,18,65,143,209,71,72,233,240,81,169,190,31,20,0,224,99,122,139,96,65,191,129,214,74,28,47,0,100,88,53,42,105,25,153,34,155,252,36,121,240,215,51,254,229,143,60,32,235,23,60,151,242,193,95,233,123,234,123,107,31,180,47,0,0,40,29,255,116,28,76,183,180,
4,0,221,221,47,89,234,171,119,203,154,231,159,148,213,207,204,73,203,192,255,105,218,7,237,139,246,73,251,6,0,64,50,199,193,104,5,42,0,84,172,94,33,203,255,122,191,84,174,89,105,71,252,67,251,164,125,171,88,235,191,190,1,0,82,43,180,1,32,209,123,251,
235,84,202,250,151,95,144,181,47,60,213,225,85,253,201,164,125,91,251,220,147,145,190,250,97,250,7,0,144,30,126,120,198,141,243,171,211,26,247,214,202,170,167,31,137,172,240,119,133,246,85,251,172,125,7,0,32,29,156,14,0,13,53,123,100,197,227,127,145,
234,205,27,236,136,59,180,207,218,119,253,12,0,0,164,90,90,110,3,220,181,226,3,171,197,79,7,206,149,79,206,150,186,4,92,71,41,236,59,64,202,70,31,41,221,70,30,18,185,63,179,176,87,95,201,43,237,33,153,185,185,145,159,55,213,213,73,237,206,237,82,189,
101,99,100,239,130,242,229,203,100,219,123,111,74,245,198,117,145,159,119,68,110,113,87,25,118,230,5,146,157,95,96,71,0,0,97,208,117,248,40,171,37,70,172,183,1,58,25,0,116,234,92,207,158,59,50,248,231,247,232,41,67,78,251,146,12,61,237,92,233,18,231,
253,152,187,55,124,44,171,158,153,35,171,159,121,68,106,182,111,181,163,177,35,4,0,64,248,16,0,98,164,139,231,244,250,121,188,211,254,93,135,29,36,99,190,117,165,244,63,225,100,59,146,24,235,23,62,47,75,238,153,41,187,86,126,104,71,98,83,208,179,143,
12,61,253,75,169,122,118,52,0,36,205,128,19,191,24,217,30,61,104,116,11,249,117,47,61,107,173,142,75,119,0,112,110,13,192,134,191,207,143,107,240,207,45,46,145,99,175,189,69,206,184,115,78,194,7,127,165,127,83,255,182,190,135,190,87,172,246,108,221,36,
27,23,189,100,45,0,112,215,230,55,254,46,205,77,141,214,10,6,253,60,250,185,130,196,169,0,160,247,208,199,179,218,95,211,232,57,15,252,77,134,156,122,182,29,73,30,125,15,125,47,125,207,88,233,103,219,181,106,185,181,0,192,77,13,123,118,203,182,37,111,
88,43,24,244,243,232,231,10,18,103,2,128,238,162,183,254,165,231,172,21,157,140,204,76,57,250,170,235,100,226,127,255,54,242,24,223,84,209,247,210,247,212,247,214,62,196,98,195,203,243,164,110,119,165,181,0,192,77,59,222,127,55,33,139,180,253,64,63,135,
126,158,160,113,38,0,232,244,120,44,155,252,100,229,229,203,228,91,238,144,17,231,92,104,71,82,79,223,91,251,160,125,137,150,126,198,141,127,127,209,90,0,224,168,150,22,217,244,218,66,107,184,45,242,57,98,88,47,231,10,39,2,128,62,76,39,150,237,125,247,
13,254,189,143,58,214,142,164,143,246,33,214,16,80,181,110,13,91,6,3,112,158,174,109,170,88,253,145,181,220,164,253,215,207,17,68,190,15,0,186,234,127,211,226,232,83,164,78,185,159,248,139,153,82,54,230,72,59,146,126,218,23,237,83,44,151,3,54,191,246,
10,219,5,3,112,222,150,183,94,245,245,22,237,109,209,126,107,255,131,202,247,1,64,159,231,31,203,83,253,198,125,247,63,125,113,230,255,105,218,39,237,91,180,244,154,147,126,118,0,112,153,238,219,178,229,237,197,214,114,139,246,59,200,91,182,251,62,0,
108,127,239,45,171,181,79,87,222,167,243,154,127,123,180,111,177,220,29,176,245,157,215,172,6,0,238,218,181,242,3,169,45,223,102,45,55,104,127,181,223,65,230,235,0,160,215,254,163,61,251,215,123,239,39,76,255,185,181,252,75,251,24,237,62,1,245,85,149,
82,249,241,106,107,1,128,163,90,90,100,227,226,133,206,92,214,212,126,106,127,131,184,240,111,127,190,14,0,177,220,243,127,228,149,215,164,244,86,191,120,105,31,181,175,209,42,255,208,157,167,28,2,192,129,236,221,185,221,153,51,106,237,167,246,55,232,
124,27,0,26,235,246,74,229,186,232,206,126,117,123,223,84,108,242,147,40,218,87,237,115,52,116,22,132,199,6,3,8,2,189,166,222,80,91,99,45,127,210,254,185,186,102,33,86,190,13,0,149,107,87,69,61,253,162,123,251,187,38,234,62,123,223,65,228,187,0,0,199,
53,55,212,251,126,85,189,246,79,251,25,6,190,13,0,250,208,133,104,232,83,253,146,177,183,127,178,105,159,11,122,245,181,86,219,116,95,0,0,8,2,125,164,186,62,90,221,143,246,61,242,61,44,124,27,0,170,55,174,183,90,219,244,145,190,174,26,122,218,121,86,
107,219,238,141,235,172,6,0,238,211,157,245,252,182,32,48,178,231,76,64,118,46,140,150,47,3,64,205,142,109,81,111,28,161,207,243,119,213,224,83,206,178,90,219,154,27,27,34,223,9,0,4,65,125,85,133,239,246,214,215,254,104,191,194,196,151,1,160,54,202,193,
174,176,239,0,233,210,111,160,181,220,163,125,215,207,16,141,104,191,19,0,112,129,62,93,175,190,186,202,90,233,165,253,8,218,211,11,163,225,203,0,16,237,189,255,101,163,253,179,221,111,188,162,253,12,181,229,193,191,37,5,64,120,180,52,55,249,230,249,
250,218,15,237,79,216,248,50,0,212,69,57,13,211,109,228,33,86,115,87,180,159,33,218,239,4,0,92,177,123,195,218,168,23,124,39,139,190,191,246,35,140,124,25,0,234,119,71,55,45,84,60,120,184,213,220,21,237,103,104,216,83,109,53,0,8,14,61,251,110,110,106,
180,86,106,233,251,250,101,22,34,29,124,25,0,154,27,26,172,214,182,194,40,111,163,243,179,104,63,131,171,79,211,2,128,182,52,236,217,157,182,235,239,250,190,250,254,97,229,207,25,128,40,23,134,228,149,246,176,154,187,162,253,12,204,0,0,8,42,93,129,175,
79,64,77,37,125,63,191,221,137,144,106,190,12,0,209,202,204,205,181,154,187,130,240,25,0,160,67,90,90,82,126,15,126,228,253,2,254,176,159,246,56,29,0,0,0,193,176,103,235,38,169,88,253,145,181,146,75,223,71,223,47,236,156,14,0,205,141,233,89,56,146,72,
65,248,12,0,144,8,186,15,127,178,215,59,233,223,247,251,243,8,82,197,151,1,32,187,160,208,106,109,171,217,190,197,106,238,138,246,51,68,251,157,0,128,171,244,201,167,201,126,18,159,254,125,158,176,218,202,151,1,32,51,39,186,235,226,53,219,183,90,205,
93,209,126,134,78,89,217,86,3,128,224,210,103,241,215,150,39,103,231,83,253,187,250,247,209,202,233,25,128,138,53,169,185,94,148,76,209,126,134,156,46,69,86,3,128,0,107,105,145,141,139,19,255,176,32,253,123,250,119,195,190,240,111,127,190,12,0,185,69,
37,86,107,219,174,149,203,173,230,174,104,63,67,180,223,9,0,184,110,239,206,237,9,63,83,215,191,167,127,23,255,228,203,0,144,215,45,186,123,227,183,190,147,220,107,69,169,16,237,103,232,220,181,155,213,0,32,248,244,90,125,67,109,141,181,58,70,255,78,
178,215,22,184,200,159,1,160,123,153,213,218,86,181,78,247,112,254,216,90,238,209,190,235,103,136,70,126,143,158,86,3,128,224,107,110,168,79,216,106,125,253,59,250,247,240,73,254,12,0,165,221,163,94,244,182,118,222,83,86,115,79,180,125,215,239,34,218,
89,17,0,8,138,202,53,43,164,122,203,70,107,197,71,255,121,253,59,248,44,95,6,128,140,78,157,164,176,79,63,107,181,109,205,115,79,88,205,61,209,246,189,160,87,159,200,119,2,0,97,163,59,246,197,187,32,80,255,185,84,239,48,232,18,223,142,42,197,3,135,90,
173,109,58,133,190,225,239,243,173,229,142,77,139,23,70,61,253,31,237,119,1,0,65,83,95,85,17,247,158,253,250,207,233,63,143,207,231,223,0,48,200,27,244,50,50,172,213,182,37,247,252,222,106,238,88,114,207,76,171,181,195,251,14,34,223,5,0,132,148,62,181,
47,218,135,196,237,163,191,159,174,167,12,186,194,183,1,32,171,115,158,116,233,59,192,90,109,219,185,124,169,124,252,226,51,214,242,63,237,107,180,137,86,191,131,236,252,2,107,1,64,248,180,52,55,197,252,220,126,253,125,253,231,112,96,190,190,176,220,
109,212,104,171,181,239,205,153,55,74,67,205,30,107,249,151,246,81,251,26,173,110,35,15,181,26,0,132,215,238,13,107,165,106,125,116,151,77,245,247,244,247,209,54,95,7,128,226,1,67,36,167,168,216,90,109,211,45,117,99,25,88,211,69,251,24,237,246,191,57,
133,69,76,255,3,128,209,179,250,230,166,182,31,160,166,63,143,117,182,32,172,124,29,0,116,229,123,207,177,227,172,213,190,149,79,205,150,85,115,31,177,150,255,104,223,180,143,209,42,27,123,20,171,255,1,192,52,236,217,221,238,117,125,253,185,254,30,218,
231,251,209,165,116,196,193,81,207,2,168,215,127,251,11,239,95,128,55,173,229,31,218,39,237,91,180,244,51,235,103,7,0,252,147,174,159,170,171,220,101,173,79,210,227,241,222,49,16,70,190,15,0,122,6,220,103,220,241,214,106,95,99,109,141,204,255,201,229,
82,177,218,63,15,10,210,190,104,159,180,111,209,234,125,212,177,210,41,43,203,90,0,128,136,150,150,3,222,219,31,57,206,195,126,162,230,196,252,114,201,144,225,210,165,223,64,107,181,175,161,122,183,60,59,237,235,190,152,9,208,62,104,95,180,79,209,42,
236,211,95,186,14,29,105,45,0,192,254,246,108,221,244,153,147,60,109,235,113,68,207,137,0,160,250,29,59,41,166,103,226,235,128,59,239,234,75,211,186,38,64,223,91,251,16,203,224,175,159,177,223,113,147,172,5,0,248,60,186,191,127,83,125,93,164,174,175,
137,122,110,64,152,56,19,0,114,139,75,164,239,177,39,89,43,58,58,229,254,234,77,215,200,162,91,254,51,165,183,8,234,123,233,123,234,123,199,50,237,175,250,30,115,162,116,46,41,181,22,0,224,243,52,238,173,253,199,19,254,244,85,219,136,141,51,1,64,117,
27,121,72,92,11,227,116,229,253,19,23,157,158,146,205,130,244,61,244,189,98,89,237,191,79,201,144,17,210,237,32,238,251,7,128,104,232,51,254,119,126,180,44,242,138,216,57,21,0,148,206,2,228,151,245,178,86,244,244,222,251,133,215,125,79,158,185,226,43,
145,125,248,19,77,255,166,254,109,125,143,104,239,243,223,159,62,2,185,255,196,147,173,5,0,104,215,190,5,129,44,252,139,75,70,75,12,95,220,228,25,179,18,242,45,239,90,209,177,180,166,83,236,43,158,248,139,212,87,85,218,145,216,21,13,24,44,131,79,57,75,
6,77,62,35,166,5,134,251,211,231,249,235,35,125,245,169,126,209,62,216,231,243,232,134,63,195,207,249,10,91,254,2,64,136,116,29,62,202,106,137,49,111,250,212,232,30,160,99,156,12,0,170,110,119,165,172,124,226,255,164,97,79,181,29,137,159,134,129,158,
135,141,151,174,195,70,74,201,224,17,146,223,163,167,87,122,253,227,54,188,230,198,70,239,172,126,75,228,204,190,98,205,71,178,107,229,114,217,250,206,226,14,13,250,251,100,229,229,203,176,51,47,224,186,63,0,132,12,1,160,3,234,42,43,100,213,51,143,118,
104,38,32,157,244,204,127,200,148,115,25,252,1,32,132,210,29,0,156,91,3,176,63,189,51,96,248,89,255,18,185,126,238,26,237,179,78,251,51,248,3,0,210,193,233,0,160,244,186,185,78,161,119,29,118,144,29,241,63,93,237,175,125,230,154,63,0,32,93,156,15,0,42,
51,59,71,6,78,58,77,250,159,112,114,76,155,5,165,154,246,77,251,56,232,11,167,71,250,12,0,64,186,4,34,0,236,163,247,208,143,56,239,194,200,86,186,126,163,125,210,190,113,159,63,0,192,15,2,21,0,148,94,83,31,118,198,249,50,112,242,148,152,158,34,152,44,
218,7,237,139,246,137,235,253,0,0,191,8,92,0,216,71,31,166,115,208,249,223,148,126,199,77,142,172,182,79,53,125,79,125,111,237,3,15,246,1,0,248,77,96,3,128,210,251,248,187,31,60,70,70,125,229,91,50,232,11,182,225,79,70,76,119,73,196,198,251,219,250,30,
250,94,250,158,250,222,60,210,23,0,224,71,78,239,3,16,15,221,69,176,114,237,42,169,252,120,149,236,217,178,73,154,27,27,236,39,241,209,133,125,5,189,250,72,241,192,161,82,60,104,40,43,251,1,0,81,97,35,160,52,106,105,110,150,218,242,237,145,29,254,246,
238,42,151,186,170,10,169,223,93,21,9,5,159,222,97,48,187,160,48,50,216,231,116,41,146,220,162,18,233,220,181,91,100,199,192,188,110,61,36,163,83,160,39,82,0,0,73,64,0,0,0,32,132,216,9,16,0,0,164,28,1,0,0,128,16,34,0,0,0,16,66,105,89,3,176,109,241,2,
171,1,0,16,78,101,227,39,90,45,49,88,3,0,0,0,218,69,0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,136,0,0,0,64,8,17,0,0,0,8,33,2,0,0,0,33,68,0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,136,0,0,0,64,8,17,0,0,
0,8,33,2,0,0,0,33,68,0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,25,45,45,45,86,109,223,228,25,179,162,255,229,54,108,91,188,192,106,64,250,141,26,60,200,106,110,218,189,103,143,108,216,182,221,90,0,92,81,54,126,162,213,18,99,222,244,169,
25,86,141,10,1,0,161,183,116,246,253,86,115,211,131,115,255,38,191,188,243,62,107,1,112,69,186,3,0,151,0,0,199,101,120,255,3,128,88,17,0,0,215,49,254,3,136,3,1,0,112,92,70,6,9,0,64,236,8,0,0,0,132,16,1,0,112,28,107,0,0,196,131,0,0,56,142,43,0,0,226,65,
0,0,28,199,26,0,0,241,32,0,0,142,227,18,0,128,120,16,0,0,215,49,254,3,136,3,1,0,0,128,16,34,0,0,142,99,13,0,128,120,16,0,0,199,49,252,3,136,7,1,0,112,28,51,0,0,226,65,0,0,28,71,0,0,16,15,2,0,224,56,134,127,0,241,32,0,0,0,16,66,4,0,192,117,92,2,0,16,7,
2,0,224,56,214,0,0,136,7,1,0,112,28,195,63,128,120,16,0,0,199,49,3,0,32,30,4,0,0,0,66,136,0,0,56,142,25,0,0,241,32,0,0,142,99,248,7,16,15,2,0,224,58,102,0,0,196,129,0,0,56,142,75,0,0,226,65,0,0,28,199,240,15,32,30,4,0,0,0,66,136,0,0,56,142,75,0,0,226,
65,0,0,28,199,248,15,32,30,4,0,192,117,36,0,0,113,32,0,0,142,203,96,25,32,128,56,16,0,0,199,49,1,0,32,30,4,0,0,0,66,136,0,0,56,142,187,0,0,196,131,0,0,56,142,53,0,0,226,65,0,0,28,199,4,0,128,120,16,0,0,215,145,0,0,196,129,0,0,56,142,75,0,0,226,65,0,0,
0,32,132,8,0,128,227,184,2,0,32,30,4,0,192,113,220,6,8,32,30,4,0,192,113,172,1,0,16,15,2,0,224,56,38,0,0,196,131,0,0,184,142,4,0,32,14,4,0,0,0,66,136,0,0,56,142,243,127,0,241,32,0,0,142,227,46,0,0,241,32,0,0,142,35,0,0,136,7,1,0,112,28,195,63,128,120,
16,0,0,199,49,3,0,32,30,4,0,0,0,66,136,0,0,184,142,25,0,0,113,32,0,0,142,99,248,7,16,143,140,150,150,22,171,182,111,242,140,89,209,255,114,27,182,45,94,96,53,32,253,150,206,190,223,106,110,122,125,217,7,114,201,117,55,88,43,245,186,149,20,203,240,254,
253,100,248,192,254,82,152,151,39,5,145,210,249,19,175,89,153,153,82,179,119,175,236,169,221,43,53,181,181,178,199,171,239,107,151,87,84,202,154,141,155,100,245,198,205,82,89,93,109,127,21,8,190,178,241,19,173,150,24,243,166,79,141,233,124,128,0,128,
208,115,61,0,188,241,254,135,242,173,255,250,133,181,146,171,123,73,137,28,127,248,24,25,62,192,27,240,7,244,151,17,94,233,222,181,196,126,218,113,59,118,85,120,65,64,195,192,166,72,40,88,244,222,50,89,181,126,163,253,20,8,22,2,0,144,102,4,128,182,149,
22,21,201,201,19,142,146,47,28,125,148,28,119,216,24,59,154,58,26,4,22,190,253,174,188,242,246,18,121,229,221,247,236,40,224,62,2,0,144,102,174,7,128,55,189,0,112,113,18,2,192,249,95,56,73,78,30,63,78,78,56,98,172,29,73,63,189,108,240,178,23,6,30,127,
241,101,121,241,205,183,237,40,224,166,116,7,0,22,1,2,142,75,244,62,0,23,156,60,73,158,248,237,45,114,253,21,255,230,171,193,95,229,119,238,44,167,30,51,94,102,254,228,7,242,215,95,253,82,46,60,237,20,201,202,202,180,159,2,136,5,1,0,112,93,130,2,192,
190,129,255,103,151,127,91,6,247,237,99,71,253,107,228,160,1,114,237,191,93,44,11,239,252,131,92,245,205,175,202,128,94,61,237,39,0,162,65,0,0,28,215,209,225,127,226,17,135,57,53,240,127,90,151,130,124,249,215,115,206,148,167,103,222,42,223,253,218,191,
72,102,39,254,111,13,136,6,255,165,0,33,118,245,197,95,151,219,174,249,161,147,3,255,231,185,244,75,103,203,220,223,255,90,206,62,241,120,59,2,224,64,8,0,64,8,141,59,100,148,204,254,213,13,114,209,89,83,236,72,112,244,233,209,93,126,57,237,114,185,253,
63,175,150,209,195,135,218,81,0,159,70,0,0,66,230,202,175,156,47,119,95,127,173,28,52,104,160,29,9,38,189,101,241,161,27,175,143,204,10,0,248,44,2,0,16,34,215,124,251,34,185,252,203,231,89,43,28,116,93,192,45,223,251,15,201,205,201,182,35,0,20,1,0,8,
137,95,252,199,84,249,218,148,83,173,21,46,167,31,127,140,60,124,211,127,203,161,195,134,216,17,0,4,0,32,4,110,189,106,154,156,59,41,177,155,142,184,70,183,46,214,16,112,222,228,19,237,8,16,110,4,0,32,192,244,150,184,63,92,51,93,190,120,236,120,59,130,
159,255,251,165,172,11,0,60,4,0,32,192,116,218,223,111,187,249,249,129,174,11,32,4,32,236,8,0,64,64,77,253,210,57,114,22,247,195,31,16,33,0,97,71,0,0,2,232,148,241,227,228,59,95,251,178,181,112,32,132,0,132,25,1,0,8,152,161,253,251,202,13,87,94,102,45,
180,135,16,128,176,34,0,0,1,115,195,127,92,38,249,121,157,173,133,104,104,8,208,91,5,129,48,33,0,0,1,50,237,194,11,184,215,61,78,58,107,114,240,144,65,214,2,130,143,0,0,4,196,168,193,131,228,178,243,207,181,22,98,149,157,149,21,9,1,121,157,115,237,8,
16,108,4,0,32,32,110,156,118,185,213,16,47,221,44,136,245,19,8,11,2,0,16,0,23,159,53,69,134,13,232,103,45,116,196,169,19,142,150,239,92,200,29,20,8,62,2,0,224,184,172,172,76,153,126,241,215,173,133,68,152,122,254,57,114,226,145,135,89,11,8,38,2,0,224,
56,189,246,143,196,187,234,155,23,90,13,8,38,2,0,224,184,172,204,76,171,33,145,134,246,235,43,223,255,198,87,173,5,4,15,1,0,0,14,224,219,231,158,41,135,143,28,110,45,32,88,8,0,0,208,6,46,5,32,168,8,0,0,208,134,195,15,26,33,255,122,238,153,214,2,130,131,
0,0,0,237,152,246,213,11,164,91,113,145,181,128,96,32,0,0,64,59,116,151,192,111,157,125,134,181,128,96,32,0,0,64,20,46,57,231,12,41,43,237,106,45,192,125,4,0,0,7,84,94,89,41,235,183,110,147,229,107,215,201,146,143,86,202,170,245,27,100,75,121,185,253,
52,124,52,4,0,65,145,209,210,210,98,213,246,77,158,49,43,250,95,110,195,182,197,11,172,6,164,223,210,217,247,91,13,111,125,176,92,94,126,123,137,44,93,181,90,62,250,120,189,236,168,168,176,159,124,82,167,78,25,50,188,127,127,25,57,104,128,28,127,216,
24,57,238,240,177,82,92,88,96,63,13,182,83,175,248,158,108,218,190,195,90,64,252,202,198,79,180,90,98,204,155,62,53,195,170,81,33,0,32,244,194,30,0,182,239,218,37,15,63,243,188,204,126,225,69,41,175,168,180,163,177,155,114,220,4,57,119,210,68,57,206,
11,4,65,246,208,220,231,228,134,59,239,181,22,16,191,116,7,0,46,1,0,33,85,87,95,47,183,220,243,128,76,186,116,154,220,254,215,199,58,52,248,171,185,175,44,146,203,126,113,139,92,114,221,13,178,248,189,101,118,52,120,46,156,114,138,244,239,89,102,45,192,
93,4,0,32,132,30,123,113,161,156,49,237,135,114,223,147,115,237,72,226,188,190,236,3,249,246,245,55,202,79,111,187,67,106,106,247,218,209,96,57,231,164,19,172,6,184,139,0,0,132,204,175,239,127,88,174,157,121,187,108,41,223,105,71,146,227,209,121,47,201,
185,87,253,88,230,191,254,166,29,9,14,2,0,130,128,0,0,132,200,119,110,254,31,185,107,206,147,214,74,62,93,44,55,205,123,207,251,159,122,214,142,4,67,239,30,221,229,148,9,71,91,11,112,19,1,0,8,137,171,127,243,123,153,151,166,179,241,155,238,254,83,100,
230,33,72,152,5,128,235,8,0,64,8,252,236,143,119,202,211,47,191,106,173,244,208,153,135,95,221,247,160,181,220,119,210,81,135,203,128,94,61,173,5,184,135,0,0,4,220,125,79,204,149,217,207,207,183,86,122,221,243,248,211,129,10,1,122,219,35,224,42,2,0,16,
96,47,191,253,174,220,114,239,3,214,242,7,13,1,122,203,96,16,112,25,0,46,35,0,0,1,118,203,189,254,60,219,190,233,174,251,34,219,12,187,174,103,183,82,25,119,200,40,107,1,110,33,0,0,1,117,219,95,30,145,213,27,54,90,203,95,202,43,171,228,230,187,131,177,
3,227,241,135,143,181,26,224,22,2,0,16,64,235,54,111,137,4,0,63,211,69,137,31,174,249,216,90,238,154,120,4,1,0,110,34,0,0,1,116,239,19,137,223,225,47,25,238,123,234,25,171,185,107,248,128,254,50,164,95,95,107,1,238,32,0,0,1,163,103,255,127,254,219,11,
214,242,183,199,95,92,40,43,215,109,176,150,187,78,56,60,216,15,64,66,48,17,0,128,128,113,237,172,250,249,197,175,91,205,93,19,143,56,204,106,128,59,8,0,64,192,164,123,195,159,88,189,244,214,59,86,115,215,248,209,135,72,113,97,161,181,0,55,16,0,128,0,
121,230,149,69,82,85,189,199,90,110,120,111,197,170,200,51,3,92,55,97,204,33,86,3,220,64,0,0,2,196,213,13,118,22,4,96,22,96,236,240,97,86,3,220,64,0,0,2,162,165,165,69,22,190,253,174,181,220,242,234,187,75,173,230,174,49,35,8,0,112,11,1,0,8,136,87,151,
44,149,250,134,6,107,185,229,157,143,86,88,205,93,99,189,0,144,149,153,105,45,192,255,8,0,64,64,184,124,22,93,94,81,41,171,124,186,107,97,180,50,50,50,152,5,128,83,8,0,64,64,188,254,254,7,86,115,211,59,203,221,159,5,24,51,124,168,213,0,255,35,0,0,1,208,
212,212,44,203,86,173,177,150,155,222,13,66,0,96,6,0,14,33,0,0,1,176,108,213,234,200,34,64,151,185,30,96,20,119,2,192,37,4,0,32,0,150,173,118,127,240,92,183,117,171,213,220,165,143,7,238,213,189,155,181,0,127,35,0,0,1,176,102,227,102,171,185,171,118,
111,157,108,45,223,105,45,119,13,234,221,203,106,128,191,17,0,128,0,88,191,197,253,179,103,181,126,235,54,171,185,107,80,159,222,86,3,252,141,0,0,4,192,186,128,4,0,125,146,161,235,8,0,112,5,1,0,8,128,245,1,184,126,174,130,16,100,6,245,225,18,0,220,64,
0,0,28,183,163,162,82,154,155,221,190,3,96,159,32,60,20,104,32,51,0,112,4,1,0,112,92,69,213,110,171,185,111,251,174,10,171,185,171,127,207,50,201,201,206,182,22,224,95,4,0,192,113,59,171,170,172,230,190,32,220,5,160,184,12,0,23,16,0,0,199,237,98,6,192,
119,6,246,230,50,0,252,143,0,0,56,174,186,182,214,106,238,171,173,171,147,170,61,123,172,229,174,94,221,75,173,6,248,23,1,0,112,156,171,143,0,62,144,237,59,119,89,205,93,165,69,69,86,3,252,139,0,0,56,46,104,1,96,107,0,2,64,215,162,46,86,3,252,139,0,0,
56,174,174,62,88,1,160,186,166,198,106,238,98,6,0,46,32,0,0,142,171,111,104,180,90,48,212,236,173,179,154,187,74,139,9,0,240,63,2,0,0,95,169,217,187,215,106,238,42,229,18,0,28,64,0,0,224,43,65,8,0,93,185,4,0,7,16,0,0,248,138,62,22,216,117,93,10,242,37,
59,43,203,90,128,63,17,0,0,248,74,16,214,0,40,22,2,194,239,8,0,0,124,37,8,151,0,148,206,2,0,126,70,0,0,224,43,186,27,96,16,228,100,115,9,0,254,70,0,0,224,43,141,77,77,86,115,27,79,4,132,223,17,0,0,248,74,83,83,179,213,220,70,0,128,223,17,0,0,248,74,83,
96,102,0,184,4,0,127,35,0,0,240,149,198,230,128,4,128,44,102,0,224,111,4,0,0,190,210,216,200,12,0,144,10,4,0,0,190,210,212,28,144,53,0,57,57,86,3,252,137,0,0,192,87,2,115,23,0,59,1,194,231,8,0,0,124,133,219,0,129,212,32,0,0,240,149,172,78,193,248,191,
165,230,150,96,92,202,64,112,17,0,0,248,74,86,64,166,206,235,235,27,172,6,248,19,1,0,128,175,100,101,102,90,205,109,117,13,4,0,248,27,1,0,128,175,4,37,0,212,55,52,90,13,240,39,2,0,0,95,201,12,76,0,168,183,26,224,79,4,0,0,190,146,205,12,0,144,18,4,0,0,
190,146,149,197,26,0,32,21,8,0,0,124,37,55,32,59,232,213,19,0,224,115,4,0,0,190,82,144,215,217,106,110,35,0,192,239,8,0,0,124,165,160,115,158,213,220,86,83,187,215,106,128,63,17,0,0,248,74,80,102,0,118,84,84,90,13,240,39,2,0,0,95,201,15,64,0,216,189,
167,70,246,214,115,27,32,252,141,0,0,192,87,10,242,220,191,4,176,163,162,194,106,128,127,17,0,0,248,74,16,46,1,48,253,15,23,16,0,0,248,74,105,81,145,213,220,85,78,0,128,3,8,0,0,124,165,172,180,171,213,220,197,12,0,92,64,0,0,224,43,101,93,131,16,0,88,
3,0,255,35,0,0,142,11,202,214,185,170,107,81,23,201,206,206,178,150,187,152,1,128,11,8,0,128,227,114,179,179,173,230,190,32,156,253,171,45,59,202,173,6,248,23,1,0,112,92,231,128,236,157,175,122,148,150,88,205,109,107,54,110,182,26,224,95,4,0,192,113,
57,57,193,153,1,232,215,179,204,106,238,210,77,128,182,238,220,105,45,192,191,8,0,128,227,10,3,176,113,206,62,131,122,247,182,154,187,214,110,226,236,31,110,32,0,0,142,235,86,82,108,53,247,13,234,235,126,0,88,189,113,147,213,0,127,35,0,0,142,43,45,118,
127,227,156,125,6,245,238,101,53,119,49,3,0,87,16,0,0,199,117,43,14,198,12,64,78,118,118,32,214,0,172,97,6,0,142,32,0,0,142,43,46,44,144,46,249,249,214,114,215,144,126,125,172,230,182,53,204,0,192,17,4,0,32,0,6,246,113,127,234,252,176,17,195,173,230,
174,150,150,22,102,0,224,12,2,0,16,0,131,250,184,191,120,110,236,136,97,86,115,215,59,203,87,72,115,115,139,181,0,127,35,0,0,1,16,132,197,115,99,71,186,63,3,176,100,197,74,171,1,254,71,0,0,2,192,245,193,179,103,105,169,12,232,213,211,90,238,122,103,57,
1,0,238,32,0,0,1,112,228,168,145,86,115,211,184,67,71,89,205,109,75,62,34,0,192,29,4,0,32,0,244,22,186,35,28,14,1,147,143,62,210,106,238,90,191,117,27,91,0,195,41,4,0,32,32,142,25,115,136,213,220,146,155,147,45,147,199,185,31,0,56,251,135,107,8,0,64,
64,156,120,228,225,86,115,139,14,254,89,153,153,214,114,151,222,1,0,184,132,0,0,4,196,193,67,6,59,185,144,110,242,209,71,89,205,109,220,1,0,215,16,0,128,0,57,237,216,9,86,115,67,239,238,221,100,202,113,110,245,249,243,172,219,188,69,150,173,90,99,45,
192,13,4,0,32,64,190,124,202,36,171,185,225,252,47,156,100,53,183,205,123,253,45,171,1,238,32,0,0,1,210,187,71,119,57,251,196,227,173,229,127,231,159,28,140,0,48,255,245,55,173,6,184,131,0,0,4,204,69,103,78,177,154,191,93,124,214,20,233,209,181,171,181,
220,181,165,188,92,222,252,96,185,181,0,119,16,0,128,128,57,104,240,64,249,198,233,95,180,150,63,245,239,89,38,223,255,198,87,173,229,182,249,76,255,195,81,4,0,32,128,174,248,242,121,82,210,165,208,90,254,243,253,111,124,37,16,183,254,169,23,9,0,112,
20,1,0,8,160,98,111,240,255,175,169,151,88,203,95,46,60,237,20,57,245,152,241,214,114,91,197,238,221,242,202,187,239,89,11,112,11,1,0,8,40,29,100,47,57,251,12,107,249,195,49,99,14,149,107,255,237,98,107,185,111,238,43,139,172,6,184,135,0,0,4,216,15,46,
186,80,78,153,112,180,181,210,75,55,41,186,225,202,203,172,21,12,143,205,95,104,53,192,61,4,0,32,224,126,253,131,105,50,238,144,244,62,109,79,7,255,219,174,249,161,148,149,186,191,234,127,159,55,222,255,80,150,174,90,109,45,192,61,4,0,32,224,50,50,50,
100,230,143,175,146,9,163,211,243,176,160,129,189,123,69,6,255,65,125,122,219,145,96,152,51,127,129,213,0,55,17,0,128,16,40,200,203,147,255,119,221,79,228,228,241,169,221,119,95,31,244,243,224,141,215,7,110,240,175,220,93,77,0,128,243,8,0,64,136,252,
102,250,247,228,202,175,94,96,173,228,154,250,165,115,228,127,127,244,125,41,46,44,176,35,193,241,216,139,92,251,135,251,8,0,64,200,92,126,193,185,50,235,167,63,146,209,195,135,218,145,196,58,124,228,112,185,255,134,235,228,59,95,251,178,29,9,158,57,
47,114,246,15,247,17,0,128,16,58,118,236,104,121,232,198,235,229,234,139,191,30,185,70,159,8,99,134,15,147,95,78,187,92,254,228,13,254,135,121,33,32,168,254,246,234,98,249,232,227,245,214,2,220,69,0,0,66,236,162,179,166,200,83,191,251,149,252,238,199,
87,201,57,39,157,32,165,69,69,246,147,232,232,150,190,95,63,253,212,200,140,194,131,55,254,204,169,7,17,197,235,174,57,79,89,13,112,91,70,75,75,139,85,219,55,121,198,172,232,127,185,13,219,22,51,125,6,255,88,58,251,126,171,65,45,93,185,90,86,173,223,
32,43,215,111,148,138,234,106,169,222,83,35,77,205,205,146,159,215,89,242,114,115,165,103,105,87,25,54,160,159,12,31,208,63,97,179,7,174,120,108,254,2,185,246,247,179,172,5,116,76,217,248,137,86,75,140,121,211,167,102,88,53,42,4,0,132,30,1,0,209,58,251,
187,87,203,234,141,155,172,5,116,76,186,3,0,151,0,0,32,10,15,205,125,142,193,31,129,66,0,0,128,40,220,57,231,9,171,1,193,64,0,0,128,118,220,249,232,19,178,165,124,167,181,128,96,32,0,0,64,27,214,110,218,44,191,121,240,47,214,2,130,131,0,0,248,204,55,
174,189,94,54,111,223,97,45,164,219,173,127,122,72,98,89,44,13,184,130,0,0,248,200,79,111,187,67,222,89,190,66,126,252,191,127,176,35,72,167,71,94,120,81,230,191,254,150,181,128,96,33,0,0,62,241,252,226,215,229,209,121,47,69,234,111,126,176,92,238,125,
226,233,72,29,233,177,179,178,202,59,251,127,216,90,64,240,16,0,0,159,248,223,135,102,91,173,213,140,123,31,148,101,171,214,88,11,169,166,83,255,149,213,213,214,2,130,135,0,0,248,192,255,61,55,79,86,111,216,104,173,127,186,233,238,63,89,13,169,164,179,
49,60,241,15,65,71,0,0,124,224,174,199,62,127,127,249,183,63,252,72,254,248,127,143,90,11,169,176,110,243,22,185,254,246,187,172,5,4,23,1,0,72,179,217,207,207,151,245,91,182,90,235,179,102,254,249,175,242,238,71,43,172,133,100,187,102,230,237,178,171,
106,183,181,128,224,34,0,0,105,246,192,211,207,90,237,192,110,190,251,1,171,33,153,174,245,6,127,189,11,3,8,3,2,0,144,70,115,95,89,36,43,214,109,176,214,129,45,89,177,82,126,121,231,125,214,66,50,220,241,200,227,92,247,71,168,16,0,128,52,122,226,165,
151,173,214,190,7,231,254,77,102,63,55,223,90,72,164,191,45,122,77,126,203,110,127,8,25,2,0,144,38,235,183,110,147,5,111,189,99,173,232,252,236,246,59,101,201,71,43,173,133,68,120,235,131,229,114,237,239,110,183,22,16,30,4,0,32,77,158,92,16,253,217,255,
254,244,58,117,121,101,165,181,208,17,139,223,91,38,151,253,226,22,169,173,171,179,35,64,120,16,0,128,52,121,106,225,171,86,139,205,154,77,155,229,234,223,220,102,45,196,235,229,119,150,200,101,55,48,248,35,188,8,0,64,26,44,90,178,52,242,148,185,120,
233,153,235,79,120,94,64,220,94,124,227,109,185,220,59,243,111,108,108,178,35,64,248,16,0,128,52,120,234,229,248,206,254,247,247,196,130,87,228,166,187,216,41,48,86,186,203,223,149,55,221,106,45,32,188,8,0,64,138,213,213,215,203,83,11,255,110,173,142,
185,255,233,103,9,1,49,208,61,23,190,55,227,183,214,2,194,141,0,0,164,216,11,139,223,144,250,134,6,107,117,28,33,160,125,141,77,77,145,197,147,55,242,61,1,255,64,0,0,82,236,249,215,222,176,90,226,104,8,248,233,109,119,88,11,251,123,111,197,42,249,202,
213,63,101,147,31,224,83,8,0,64,10,237,173,171,151,121,175,189,105,173,196,122,116,222,75,114,229,77,191,78,232,236,130,235,254,252,236,11,114,225,79,174,147,229,31,175,179,35,0,246,33,0,0,41,244,130,119,246,175,211,209,201,242,226,27,111,201,69,63,253,
185,124,184,246,99,59,18,78,171,55,110,146,171,127,243,123,249,249,29,119,219,17,0,159,70,0,0,82,72,7,232,100,91,186,114,117,100,202,91,103,4,194,166,186,166,70,110,189,239,33,57,251,187,87,203,211,9,184,211,2,8,50,2,0,144,66,122,255,121,42,52,53,55,
71,214,4,92,243,187,63,202,230,29,229,118,52,216,238,123,114,174,124,241,223,175,146,187,31,127,202,142,0,104,11,1,0,72,145,197,75,223,79,249,174,115,143,191,244,178,156,49,237,135,114,207,227,79,75,179,23,10,130,232,177,249,11,228,188,171,126,44,183,
220,243,128,84,86,87,219,81,0,237,33,0,0,41,50,63,73,139,255,218,163,139,2,127,117,223,131,50,241,219,255,46,191,123,120,182,108,223,181,203,126,226,174,53,27,55,201,175,255,244,144,156,240,175,87,200,181,191,159,21,213,35,149,1,124,18,1,0,72,145,103,
95,93,108,181,244,168,216,93,45,183,207,158,35,147,46,157,38,63,251,227,157,242,225,26,247,22,10,234,34,202,43,111,188,85,206,250,238,213,114,215,99,79,201,174,170,221,246,19,0,177,202,104,105,105,177,106,251,38,207,152,21,253,47,183,97,219,226,5,86,
3,144,78,19,70,31,34,199,140,29,45,199,142,57,84,70,13,25,100,71,253,67,103,43,22,191,247,126,228,242,201,107,94,217,184,109,187,253,4,112,95,217,248,137,86,75,140,121,211,167,102,88,53,42,4,0,0,17,189,186,119,139,4,129,99,189,64,160,161,160,184,176,
192,126,146,58,53,181,123,229,245,247,63,136,12,250,175,45,123,223,201,89,10,32,90,4,0,0,190,212,219,11,4,3,123,247,250,71,233,223,187,103,107,189,87,47,201,204,236,216,213,67,61,147,215,199,26,175,221,232,149,205,246,234,181,183,148,239,180,223,0,130,
143,0,0,192,57,69,133,5,146,159,155,43,121,94,201,207,235,28,121,221,191,94,215,208,32,181,123,235,34,119,61,212,236,221,27,169,71,94,173,93,87,207,110,133,0,1,0,0,128,16,74,119,0,224,46,0,0,0,66,136,0,0,0,64,8,17,0,0,0,8,33,2,0,0,0,33,68,0,0,0,32,132,
8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,136,0,0,0,64,8,17,0,0,0,8,33,2,0,0,0,33,68,0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,136,0,0,0,64,8,17,0,0,0,8,33,2,0,0,0,33,68,0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,
0,0,0,16,66,4,0,0,0,66,136,0,0,0,64,8,17,0,0,0,8,33,2,0,0,0,33,148,209,210,210,98,213,246,77,158,49,43,250,95,110,195,182,197,11,172,6,32,93,178,11,187,120,165,72,178,187,20,75,118,126,129,100,230,229,75,102,78,142,116,202,206,149,78,89,89,246,91,34,
205,141,141,210,220,80,39,77,245,245,210,84,91,35,13,53,123,164,97,119,165,52,84,87,121,101,183,253,22,128,88,149,141,159,104,181,196,152,55,125,106,134,85,163,66,0,0,66,162,83,118,142,228,149,245,150,188,238,101,146,91,218,221,27,236,115,237,39,241,
107,170,175,147,186,157,59,164,118,199,54,169,221,182,217,11,10,245,246,19,0,237,73,119,0,224,18,0,16,100,157,58,73,126,239,126,82,118,212,177,210,111,242,233,210,237,208,195,37,191,87,223,132,12,254,74,255,142,254,61,253,187,250,247,245,125,244,253,
244,125,1,248,27,255,149,2,1,164,103,251,197,67,15,146,190,19,79,149,238,99,142,146,206,221,202,236,39,201,165,239,163,239,167,239,171,239,175,253,0,224,79,4,0,32,64,50,50,51,165,120,216,40,233,163,3,240,176,131,36,51,183,179,253,36,181,244,125,245,253,
91,251,49,42,210,47,0,254,66,0,0,2,66,167,222,35,3,238,208,145,159,88,196,151,78,218,15,237,143,246,43,114,105,0,128,111,16,0,0,199,101,118,206,151,30,135,79,136,76,189,39,234,218,126,162,105,191,180,127,218,79,237,47,128,244,35,0,0,14,211,179,234,222,
199,77,150,188,178,94,118,196,223,180,159,218,95,102,3,128,244,35,0,0,46,202,200,144,146,17,135,68,206,170,253,50,221,31,45,237,175,246,187,100,228,161,145,207,1,32,61,8,0,128,99,116,65,157,78,165,23,13,30,110,71,220,84,52,104,152,148,29,121,12,11,4,
129,52,33,0,0,14,233,148,147,43,101,71,29,39,121,61,122,218,17,183,233,109,131,101,227,142,143,124,46,0,169,69,0,0,28,161,131,100,79,111,176,204,45,41,181,35,193,144,91,220,53,242,185,8,1,64,106,17,0,0,7,180,78,251,143,143,236,223,31,68,250,185,184,28,
0,164,22,1,0,240,187,140,12,233,62,246,232,192,157,249,127,90,78,81,73,36,228,176,48,16,72,13,2,0,224,115,37,195,15,14,204,53,255,246,232,154,128,174,163,198,88,11,64,50,17,0,0,31,211,251,229,93,95,237,31,171,46,253,7,75,65,159,1,214,2,144,44,105,9,0,
25,142,221,183,12,164,131,238,152,87,122,240,97,214,10,23,157,5,96,199,64,4,153,31,198,193,180,4,128,116,61,160,4,112,73,169,55,8,186,182,201,79,162,232,231,238,54,250,112,107,1,193,227,135,113,48,45,1,32,171,32,152,43,153,129,68,209,169,127,87,182,247,
77,150,206,165,61,184,20,128,192,242,195,56,152,150,0,160,247,253,2,248,124,122,43,92,215,131,70,91,43,220,74,70,30,34,25,89,217,214,2,130,195,15,227,96,90,2,64,78,73,41,247,251,2,7,80,52,120,132,111,159,234,151,106,250,61,232,150,193,64,144,232,248,
167,227,96,186,165,103,17,96,167,78,146,87,214,199,90,0,246,233,148,157,35,93,6,14,181,22,148,6,0,118,9,68,144,232,248,167,227,96,186,165,173,7,122,141,147,89,0,224,147,186,12,24,18,218,133,127,7,162,255,63,161,223,11,16,4,250,239,179,95,30,135,29,107,
0,104,180,215,14,235,148,157,45,133,156,233,0,255,228,157,17,20,246,31,100,13,236,79,191,23,78,24,16,4,58,238,233,248,151,4,49,143,207,177,6,128,13,246,154,16,121,61,122,73,231,238,225,216,225,12,104,79,126,207,62,220,34,123,0,186,22,32,191,103,95,107,
1,110,210,241,78,199,189,36,137,121,124,142,53,0,108,177,215,132,233,50,100,132,228,150,118,183,22,16,94,133,125,185,229,173,45,5,125,251,91,13,112,143,142,115,58,222,37,81,204,227,115,172,1,96,173,189,38,76,70,70,134,20,13,27,197,76,0,66,77,23,255,233,
62,248,56,48,221,23,128,197,128,112,81,174,247,223,182,142,115,58,222,37,81,204,227,115,172,1,224,77,123,77,168,72,8,24,58,82,186,12,26,198,54,193,8,165,188,178,222,86,67,91,146,56,125,10,36,156,142,103,58,174,21,15,59,40,217,131,191,138,121,124,142,
53,0,188,97,175,73,145,215,179,143,116,27,123,52,119,8,32,116,242,186,115,246,31,141,176,60,21,17,110,219,183,210,95,199,51,29,215,82,36,230,241,57,214,0,176,200,43,213,173,213,228,208,91,160,10,7,12,145,238,71,28,35,197,195,15,150,206,222,153,81,86,
65,33,51,3,8,52,214,193,68,167,51,223,19,124,72,199,39,29,167,116,188,210,113,75,199,47,29,199,82,120,75,175,142,203,58,62,199,36,163,165,165,197,170,209,153,60,99,214,163,222,203,185,173,45,0,29,149,209,41,83,114,139,138,173,133,246,212,85,85,74,75,
115,147,181,0,120,230,204,155,62,245,60,171,71,45,214,25,0,245,103,123,5,144,0,92,238,138,13,223,23,240,25,127,181,215,152,196,19,0,230,120,165,162,181,10,160,163,58,49,160,197,132,239,11,248,4,29,143,103,183,86,99,19,115,0,152,55,125,234,94,239,229,
158,214,22,128,142,210,75,0,136,30,223,23,240,9,247,216,184,28,179,120,102,0,212,205,94,137,235,13,1,124,146,31,30,10,226,18,190,47,224,31,116,28,214,241,56,46,113,253,151,228,165,13,221,113,104,102,107,11,64,135,36,255,254,224,96,225,251,2,246,153,105,
227,113,92,58,18,165,111,240,74,66,159,13,0,132,17,103,180,177,225,251,2,34,116,252,213,113,56,110,113,255,151,228,165,14,93,120,240,253,214,22,128,120,165,96,135,176,64,225,251,2,34,166,219,56,28,183,14,69,105,239,205,117,229,225,253,173,45,0,0,144,
2,15,123,227,239,195,86,143,91,34,230,210,174,240,202,210,214,42,0,0,72,34,29,111,47,109,173,118,76,135,3,128,151,66,116,11,194,41,94,73,248,163,130,129,48,136,117,55,206,176,227,251,66,136,233,56,59,197,198,221,14,75,200,106,26,175,51,186,24,97,146,
87,118,68,14,0,136,90,75,115,179,213,16,13,190,47,132,148,142,175,147,108,188,77,136,132,4,0,229,117,234,67,239,229,4,175,48,19,0,196,130,51,218,216,240,125,33,124,116,92,61,193,198,217,132,73,88,0,80,214,185,113,94,97,77,0,16,37,206,104,99,195,247,133,
144,209,241,116,92,162,7,127,149,208,0,160,108,122,226,24,175,116,120,133,34,16,6,60,217,46,54,124,95,8,17,29,71,143,177,113,53,225,98,126,28,112,44,38,207,152,245,85,239,101,134,87,250,69,14,0,248,140,78,217,57,146,83,80,104,45,180,167,161,166,90,154,
234,235,173,5,4,146,14,248,122,159,127,82,79,164,19,62,3,176,63,235,252,104,175,252,202,43,60,59,0,248,28,156,209,198,166,185,137,239,11,129,165,227,164,142,151,163,147,61,248,171,164,206,0,236,111,242,140,89,189,188,151,31,121,229,91,94,41,209,99,0,
90,229,22,149,176,197,109,20,244,250,127,93,21,79,35,71,224,232,191,212,250,148,221,155,189,129,63,101,11,233,83,22,0,246,241,130,64,103,239,229,2,175,156,239,149,147,189,194,220,39,66,47,187,160,80,50,179,115,172,133,3,105,106,168,151,134,61,9,185,5,
26,72,55,253,23,249,121,175,252,213,43,179,189,129,63,229,179,228,41,15,0,251,179,48,48,193,43,71,121,229,72,175,12,242,138,206,20,232,154,129,44,175,0,161,144,153,147,43,217,249,5,214,194,129,52,212,236,145,166,250,58,107,1,78,104,244,138,94,211,215,
51,251,181,94,121,211,43,111,120,101,81,58,6,253,253,165,53,0,0,104,117,250,29,179,53,244,174,111,109,161,13,253,159,190,244,130,164,172,136,6,194,134,139,142,128,15,216,160,246,114,107,11,7,176,136,193,31,72,28,2,0,224,31,119,218,43,62,223,189,246,10,
32,1,8,0,128,127,232,227,181,121,158,198,231,211,85,210,60,122,28,72,32,2,0,224,19,79,95,122,129,174,10,214,91,129,240,89,247,216,247,3,32,65,8,0,128,191,220,234,21,54,205,250,36,93,69,125,115,107,21,64,162,16,0,0,31,241,206,114,245,86,161,153,173,45,
152,153,246,189,0,72,32,2,0,224,63,55,120,133,237,238,90,233,247,160,223,7,128,4,35,0,0,62,227,157,237,234,160,55,189,181,21,122,63,245,190,15,22,70,2,73,192,70,64,128,79,157,126,199,236,249,222,203,73,173,173,80,210,251,254,245,209,226,0,146,128,25,
0,192,191,46,245,74,88,23,4,234,231,190,164,181,10,32,25,8,0,128,79,121,103,191,43,189,151,105,173,173,208,249,190,247,249,63,180,58,128,36,224,18,0,224,115,167,223,49,251,110,239,69,31,163,29,22,247,123,131,255,55,173,14,32,73,152,1,0,252,79,47,5,132,
229,57,1,139,188,162,159,23,64,146,49,3,0,56,224,244,59,102,119,247,94,22,122,229,160,200,129,96,210,41,255,19,88,245,15,164,6,51,0,128,3,108,80,156,228,149,160,94,23,215,207,53,137,193,31,72,29,2,0,224,8,111,112,212,221,240,130,24,2,244,243,156,98,159,
15,64,138,16,0,0,135,216,32,121,130,87,244,90,121,16,232,231,208,105,127,158,243,15,164,24,1,0,112,140,77,147,235,76,128,235,143,199,213,254,51,237,15,164,9,139,0,1,135,157,126,199,236,203,189,151,255,241,74,231,200,1,55,232,38,63,122,159,255,31,91,155,
0,210,129,0,0,56,206,11,1,122,103,128,238,21,48,33,114,192,223,116,202,255,18,111,240,15,234,98,70,192,25,4,0,32,32,188,32,112,165,247,242,115,175,148,68,14,248,139,62,224,72,31,236,195,163,142,1,159,32,0,0,1,98,251,5,92,235,21,13,3,89,122,44,205,26,
189,162,131,254,13,92,235,7,252,133,0,0,4,144,23,4,122,121,47,63,242,138,110,33,156,142,25,1,61,227,191,199,43,55,123,3,63,183,247,1,62,68,0,0,2,204,11,2,133,222,203,55,188,114,177,87,82,177,70,64,175,241,223,235,21,221,207,191,58,114,4,128,47,17,0,128,
144,240,194,64,63,239,229,92,175,156,225,21,13,3,137,152,25,208,51,125,29,244,159,242,202,28,111,208,231,126,126,192,17,4,0,32,132,188,48,160,235,3,14,245,202,97,94,57,196,43,195,188,162,1,65,215,16,232,229,131,253,111,43,212,219,246,116,26,95,175,225,
235,0,175,143,41,94,230,149,119,188,178,212,27,244,245,58,63,0,199,16,0,0,0,8,33,118,2,4,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,136,0,0,0,64,8,17,0,0,0,8,33,2,0,0,0,33,68,0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,
4,0,0,0,66,136,0,0,0,64,8,17,0,0,0,8,33,2,0,0,0,33,68,0,0,0,32,132,8,0,0,0,132,16,1,0,0,128,16,34,0,0,0,16,66,4,0,0,0,66,71,228,255,3,218,253,136,246,37,36,227,195,0,0,0,0,73,69,78,68,174,66,96,130,0,0 };

const char* bespoke_icon_png = (const char*) temp_binary_data_3;


const char* getNamedResource (const char* resourceNameUTF8, int& numBytes)
{
    unsigned int hash = 0;

    if (resourceNameUTF8 != nullptr)
        while (*resourceNameUTF8 != 0)
            hash = 31 * hash + (unsigned int) *resourceNameUTF8++;

    switch (hash)
    {
        case 0xa2ea79ba:  numBytes = 154; return sconscript;
        case 0x2aaab85f:  numBytes = 4240; return README_txt;
        case 0x14f51cd8:  numBytes = 5; return version;
        case 0x6961bcb9:  numBytes = 12627; return bespoke_icon_png;
        default: break;
    }

    numBytes = 0;
    return nullptr;
}

const char* namedResourceList[] =
{
    "sconscript",
    "README_txt",
    "version",
    "bespoke_icon_png"
};

const char* originalFilenames[] =
{
    "sconscript",
    "README.txt",
    "version",
    "bespoke_icon.png"
};

const char* getNamedResourceOriginalFilename (const char* resourceNameUTF8)
{
    for (unsigned int i = 0; i < (sizeof (namedResourceList) / sizeof (namedResourceList[0])); ++i)
    {
        if (namedResourceList[i] == resourceNameUTF8)
            return originalFilenames[i];
    }

    return nullptr;
}

}
