# Bespoke Synth
A software modular synth that I'm building for myself, and you can use it if you want to. If you're interested, you can find some out of date documentation at https://www.reddit.com/r/BespokeSynth, or you can just jump in and start messing around.

You can find the most recent builds for Mac/Windows/Linux at https://github.com/awwbees/BespokeSynth/releases. To find the download, expand the "Assets" dropdown under the latest release.

![screenshot](screenshot-1.png)

## Basic Overview/Tutorial Video
[![Bespoke Overview](https://img.youtube.com/vi/SYBc8X2IxqM/0.jpg)](https://www.youtube.com/watch?v=SYBc8X2IxqM)
* https://youtu.be/SYBc8X2IxqM

### Quick Reference
![quick reference](bespoke_quick_reference.png)

### Features
* live-patchable environment, so you can build while the music is playing
* VST hosting
* Python livecoding
* MIDI controller mapping
* Works on Windows, Mac, and Linux

### Recent videos of Bespoke usage
* https://twitter.com/awwbees/status/1294025917510168578
* https://twitter.com/awwbees/status/1282500237697921025
* https://twitter.com/awwbees/status/1289710877734834187
* https://twitter.com/awwbees/status/1229246748037697536
* https://twitter.com/awwbees/status/1222722343451099137
* https://twitter.com/awwbees/status/1219496022277283840

### Notes
Some context: this is my home project that I've been working on since 2011 and has grown and sprawled like weeds. It has served as a learning platform for me, which means that some of it was written by my mediocre 2011 self, some of it is written by my hopefully-less-mediocre today self, and other parts were written at various levels of my mediocrity in between. It has many modules, some of which I haven't touched in years, some of which are likely hugely broken.

These days, I only get an hour or two every few nights to work on Bespoke. It's hard to take that short amount of time and devote it to bugfixing, instead I prefer to add new features and modules. As a result, bugs can get left in the wake and some of the modules stay half-finished. Most of the bugfixing I do happens when a bug directly gets in the way of me using the software, rather than any proactive bug-chasing. I think this process is important, to keep Bespoke as my fun little zen garden, rather than a chore that I will eventually abandon.

Any releases I put up will have bugs and stability issues with some of the modules, but that seems better than never doing any releases at all. I can't currently see a future where a fully-stable and mostly-bug-free release would happen... maybe when I retire. Watch this space in 2050!

### Releases
Sign up here to receive an email whenever I put out a new release: http://bespokesynth.substack.com/
